Package org.eclipse.ui.views.navigator

# Class ResourcePatternFilter

java.lang.Object
org.eclipse.jface.viewers.ViewerFilter
org.eclipse.ui.views.navigator.ResourcePatternFilter

@Deprecated(forRemoval=true) public class ResourcePatternFilter extends ViewerFilter
Deprecated, for removal: This API element is subject to removal in a future version.
as of 3.5, use the Common Navigator Framework classes instead
Filter used to determine whether resources are to be shown or not.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be referenced by clients. Planned to be deleted, please see Bug https://bugs.eclipse.org/bugs/show_bug.cgi?id=549953
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ResourcePatternFilter()`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new resource pattern filter.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getPatterns()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the patterns for the receiver.
`boolean`
`select(Viewer viewer, Object parentElement, Object element)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns whether the given element makes it through this filter.
`void`
`setPatterns(String[] newPatterns)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the patterns to filter out for the receiver.

### Methods inherited from class org.eclipse.jface.viewers.ViewerFilter

`filter, filter, isFilterProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourcePatternFilter

public ResourcePatternFilter()
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new resource pattern filter.

## Method Details

### getPatterns

public String[] getPatterns()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the patterns for the receiver. Returns the cached values if there are any - if not look it up.

### select

public boolean select(Viewer viewer, Object parentElement, Object element)
Deprecated, for removal: This API element is subject to removal in a future version.
Description copied from class: `ViewerFilter`
Returns whether the given element makes it through this filter.

Specified by:
  `select` in class `ViewerFilter`
Parameters:
  `viewer` - the viewer
  `parentElement` - the parent element
  `element` - the element
Returns:
  `true` if element is included in the filtered set, and `false` if excluded

### setPatterns

public void setPatterns(String[] newPatterns)
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the patterns to filter out for the receiver.